from apps.product.web.api.v1.viewsets import (
    product_api,
    quota_distribution_api as distribution_apis,
    quota_api
)
from rest_framework.routers import DefaultRouter
from django.urls import path, include

router = DefaultRouter()
router.register(r'product', product_api.ProductViewSet, basename='product')
router.register(r'category', product_api.ProductCategoryViewSet, basename='category')
router.register(r'attribute', product_api.AttributeViewSet, basename='attribute')
router.register(r'attribute_value', product_api.AttributeValueViewSet, basename='attribute_value')
router.register(r'broker', product_api.BrokerViewSet, basename='broker')
router.register(r'sale_unit', product_api.SaleUnitViewSet, basename='sale_unit')
router.register(r'incentive_plan', product_api.IncentivePlanViewSet, basename='incentive_plan')
router.register(r'stats', product_api.ProductStatsViewSet, basename='stats')
router.register(r'quota', quota_api.QuotaViewSet, basename='quota')
router.register(r'quota_distribution', distribution_apis.QuotaDistributionViewSet, basename='quota_distribution')

urlpatterns = [
    path('v1/', include(router.urls))
]
